  method InsertRows(int by,ArrayObjectXY*B)
  =========================================
  sys p,q
  int py,lr,l,i
  by-=ba 'BASE 0
  py=sy
  Resize(sx,sy+B.sy)
  lr=sc*sx
  q=pA+py*lr
  p=pA+sy*lr
  'MAKE GAP
  for i=1 to B.sy
    p-=lr : q-=lr : copy p,q,lr
  next
  'INSERT
  p=pA+by*lr
  q=B.pA
  l=B.sc*B.sx*B.sy
  copy p,q,l
  end method
  '
  method DeleteRows(int by,n)
  ===========================
  sys p,q
  int lr,i
  by-=ba 'BASE 0
  lr=sc*sx
  p=pA+by*lr
  q=pA+(by+n)*lr
  'SHIFT DATA TO OVERWRITE DELETED ROWS
  sy-=n
  for i=by to sy-1
    copy p,q,lr : p+=lr : q+=lr
  next
  end method
  '
